Unispec Docs
ApiRegistryValidation

Validate current draft

POST
/projects/{owner}/{project}/validate

Authorization

bearerAuth
AuthorizationBearer <token>

Firebase ID token (Google sign-in, etc.)

In: header

Path Parameters

owner*string
project*string

Response Body

application/json

application/json

curl -X POST "https://example.com/projects/string/string/validate"
{  "validation": {    "status": "pass",    "errors": [      {        "code": "string",        "message": "string",        "path": "string",        "severity": "error"      }    ],    "warnings": [      {        "code": "string",        "message": "string",        "path": "string",        "severity": "error"      }    ],    "compatibility": {      "property1": true,      "property2": true    },    "created_at": "2019-08-24T14:15:22Z"  }}
{  "error": {    "code": "string",    "message": "string"  }}